English(3)

NAME
English - use nice English (or awk) names for ugly punctuation variables

SYNOPSIS
    use English;
    ...
    if ($ERRNO =~ /denied/) { ... }

DESCRIPTION
This module provides aliases for the built-in variables whose names no one seems to like to read. Variables with side-effects which get triggered just by accessing them (like $0) will still be affected.

For those variables that have an awk version, both long and short English alternatives are provided. For example, the "$/" variable can be referred to either $RS or $INPUT_RECORD_SEPARATOR if you are using the English module.

See the perlvar manpage for a complete list of these.

BUGS
This module provokes sizeable inefficiencies for regular expressions, due to unfortunate implementation details. If performance matters, consider avoiding English.